PImage img;
int cellsizeX =16; 
int cellsizeY = 4;
int columns, rows;  

void setup() {
  size(500, 888); 
  img = loadImage("500_888.jpg");  
  columns = img.width / cellsizeX;  
  rows = img.height / cellsizeY;
}

void draw() {
  background(0);
  for ( int i = 0; i < columns; i++) {
    for ( int j = 0; j < rows; j++) {
      int x = i*cellsizeX + cellsizeX/2; 
      int y = j*cellsizeY + cellsizeY/2; 
      int loc = x + y*img.width; 

      pushMatrix();
      translate(x, y);
        float dimY=(cellsizeY)*brightness(img.pixels[loc])/285;
        float rot=random(0);
        float a=random(0,90);
        float b=random(255);
        float c=random(255);
        color c1 = color(a,b,c);
      rotate(rot*PI/255);
      scale(dimY*0.07);
      fill(c1);
      noStroke();  
      rectMode(CENTER);
      rect(0, 0, dimY*cellsizeX, dimY*cellsizeY);
      rect(cellsizeX/2, cellsizeY/2, cellsizeX, cellsizeY);
      popMatrix();
    }
  }
}
void mouseReleased() {
  save("Processing_MarinaOG.gif"); 
}
